---
:ruby_version: 3.2.5
:rubygem_deep_merge_version: 1.2.2
:rubygem_highline_version: 3.0.1
:rubygem_hocon_version: 1.4.0
:rubygem_net_ssh_version: 7.2.3
:augeas_version: 1.14.1
:curl_version: 8.10.1
:runtime_project: agent
:artifactory_url: https://artifactory.delivery.puppetlabs.net/artifactory
:buildsources_url: https://artifactory.delivery.puppetlabs.net/artifactory/generic/buildsources
:install_root: "/opt/puppetlabs"
:sysconfdir: "/etc/puppetlabs"
:logdir: "/var/log/puppetlabs"
:piddir: "/run/puppetlabs"
:tmpfilesdir: "/usr/lib/tmpfiles.d"
:miscdir: "/opt/puppetlabs/misc"
:prefix: "/opt/puppetlabs/puppet"
:bindir: "/opt/puppetlabs/puppet/bin"
:libdir: "/opt/puppetlabs/puppet/lib"
:link_bindir: "/opt/puppetlabs/bin"
:includedir: "/opt/puppetlabs/puppet/include"
:datadir: "/opt/puppetlabs/puppet/share"
:mandir: "/opt/puppetlabs/puppet/share/man"
:ruby_dir: "/opt/puppetlabs/puppet"
:ruby_bindir: "/opt/puppetlabs/puppet/bin"
:gem_home: "/opt/puppetlabs/puppet/lib/ruby/gems/3.2.0"
:ruby_vendordir: "/opt/puppetlabs/puppet/lib/ruby/vendor_ruby"
:host_ruby: "/opt/puppetlabs/puppet/bin/ruby"
:host_gem: "/opt/puppetlabs/puppet/bin/gem"
:gem_install: "/opt/puppetlabs/puppet/bin/gem install --no-document --local"
:gem_uninstall: "/opt/puppetlabs/puppet/bin/gem uninstall --all --ignore-dependencies "
:platform_triple:
:host:
:cppflags: "-I/opt/puppetlabs/puppet/include -D_FORTIFY_SOURCE=2"
:cflags: "-fstack-protector-strong -fno-plt -O2"
:ldflags: "-L/opt/puppetlabs/puppet/lib -Wl,-rpath=/opt/puppetlabs/puppet/lib,-z,relro,-z,now"
:supports_pie: true
:openssl_version: '3.0'
:tools_root: "/opt/pl-build-tools"
:boost_libs:
- chrono
- date_time
- filesystem
- locale
- log
- program_options
- random
- regex
- system
- thread
:boost_link_option: link=shared
:openssl_extra_configure_flags:
- no-dtls
- no-dtls1
- no-idea
- no-seed
- no-weak-ssl-ciphers
- "-DOPENSSL_NO_HEARTBEATS"
:puppet_gem_vendor_dir: "/opt/puppetlabs/puppet/lib/ruby/vendor_gems"
:rubygem-ffi_gem_install_options: "-- --enable-system-libffi"
:rubygem-rexml_remove_older_versions: true
:verbose: false
:skipcheck: false
